package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.distributed.print.business.bean.dto.ExamDetailDto;
import com.qmth.distributed.print.business.entity.ExamDetail;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 考务数据 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface ExamDetailMapper extends BaseMapper<ExamDetail> {

    IPage<ExamDetailDto> listPage(Page<ExamDetailDto> page, @Param("schoolId") Long schoolId, @Param("relateType") String relateType, @Param("printPlanId") Long printPlanId, @Param("courseCode") String courseCode, @Param("paperNumber") String paperNumber);
}
